*simple circuit made of NAND2 gates
 
* ----- Include of needed files
.include 'nand.inc'
.include 'nand_hvt.inc'    
 
 
* ----- Parameter 
 
* ----- Determine supply
* voltage: VDD 
* ground:  GND 
 
* name   node1  node2  Type Parameter 
VSource VDD     GND    DC   0.9 
 
 
* ----- Stimuli
 
* Parameter: 1. voltage level, 2. voltage level, delay, rising slope, falling slope,
*            pulse width, period
* 
* name   node1  node2   Type   Parameter 
VInput1  In1     GND     DC     0  PULSE(0 0.9 0 100P 100P 9.9N 20N)
VInput2  In2     GND     DC     0  PULSE(0 0.9 0 100P 100P 9.9N 20N)

 
* ----- Circuit 
X1  In1  In2  net1 VDD  GND  NAND wp=2u wn=2u
X2  In1  In2  net2 VDD  GND  NAND wp=2u wn=2u
X3  net1 net1 net3 VDD  GND  NAND wp=2u wn=2u
X4  net3 net3 Out1 VDD  GND  NAND wp=2u wn=2u
X5  VDD  net2 Out2 VDD  GND  NAND wp=2u wn=2u


* ----- Outputs  
* name node1   node2     value 
COut1  Out1  GND      20f
COut2  Out2  GND      20f  
 
* ----- Options 
.OPTIONS list node post 

* ----- Definition of simulation  

* Simulation duration: 22ns in steps of 0.1ns
* Variation of varibale load CLoad Variable: from 10fF to 160fF in steps of 50fF 
.TRAN 0.1n 22n

* Delay - measuremant for rising and falling slopes
.MEASURE TRAN delay_out1 trig v(In1) VAL = 0.45 FALL = 1 TARG v(Out1) VAL = 0.45 RISE = 1
.MEASURE TRAN delay_out2 trig v(In1) VAL = 0.45 FALL = 1 TARG v(Out2) VAL = 0.45 FALL = 1

.MEASURE Ileak avg i(VSource) from=0n to=0.1n
.MEASURE VTH avg VTH(X1.MNMOS1) from=0n to=0.1n
.MEASURE igate avg igdt(X1.MPMOS1) from=0n to=0.1n
.MEASURE isub_n avg cdo(X1.MNMOS1) from=0n to=0.1n


* This is the library of the transistor data 
.LIB 'BPTM_65nm.lib' SP 
.END 
