* Chain of 4 Inverter
 
* ----- Include of needed files
.include 'inv.inc'

 
* ----- Parameter 
* min. size of inverter
.param wpmos = 2u 
.param wnmos = 1u 

* size of inverter
.param fanout_inv1 = 1
.param fanout_inv2 = 1
.param fanout_inv3 = 1

 
* ----- Determine supply
* voltage: VDD 
* ground:  GND 
 
* name   node1  node2  Type Parameter 
VSupply  VDD     GND    DC  0.9 
 
 
* ----- Stimuli
 
* Parameter: 1. voltage level, 2. voltage level, delay, rising slope, falling slope,
*            pulse width, period
* 
* name   node1  node2   Type     Parameter 
VInput1  In     GND     DC   0   PULSE(0 0.9 0 100P 100P 9.9N 20N)
 

* ----- Circuit 
* Inverter-chain
* name  input  Output   vdd ground  circuit  circuit's parameter   
XInv1   In     net1     VDD  GND     Inverter wn=wnmos  wp=wpmos
XInv2   net1   net2     VDD  GND     Inverter wn='fanout_inv1*wnmos'  wp='fanout_inv1*wpmos'
XInv3   net2   net3     VDD  GND     Inverter wn='fanout_inv2*wnmos'  wp='fanout_inv2*wpmos'
XInv4   net3   Out      VDD  GND     Inverter wn='fanout_inv3*wnmos'  wp='fanout_inv3*wpmos'

* ----- Load  
* name node1   node2   value 
COut1  Out     GND     1350f 

 
* ----- Options 
.OPTIONS list node post 

* ----- Definition of simulation  

* Simulation duration: 22ns in steps of 0.1ns
.TRAN 0.1n 22n

* Measurement if average drain-source current of MPMOS1 in selected time 
.MEAS CINN0 AVG CGGBM(XInv1.MPMOS1) from=0p to=22n
.MEAS CINP0 AVG CGGBM(XInv1.MNMOS1) from=0p to=22n

* Delay - measuremant for rising and falling slopes
.MEASURE TRAN delay_falling trig v(In) VAL = 0.45 RISE = 1 TARG v(Out) VAL = 0.45 RISE = 1
.MEASURE TRAN delay_rising  trig v(In) VAL = 0.45 FALL = 1 TARG v(Out) VAL = 0.45 FALL = 1


* This is the library of the transistor data 
.LIB 'BPTM_65nm.lib' SP 
.END 
