* Inverter circuit
 
* ----- Include of needed files
.include 'inv.inc'

 
* ----- Parameter 
.param wpmos = 2u 
.param wnmos = 1u 
 
 
* ----- Determine supply
* voltage: VDD 
* ground:  GND 
 
* name   node1  node2  Type Parameter 
VSupply  VDD     GND    DC  0.9 
 
 
* ----- Stimuli
 
* Parameter: 1. voltage level, 2. voltage level, delay, rising slope, falling slope,
*            pulse width, period
* 
* name   node1  node2   Type     Parameter 
VInput1  In     GND     DC   0   PULSE(0 0.9 0 100P 100P 9.9N 20N)
 

* ----- Circuit 
* Inverter
* name  input  Output  vdd  ground  circuit  circuit's parameter   
XInv1   In     Out     VDD  GND     Inverter wn=wnmos  wp=wpmos

* ----- Load  
* name node1   node2   value 
COut1  Out     GND     20f 
 
* ----- Options 
.OPTIONS list node post 

* ----- Definition of simulation  

* Simulation duration: 22ns in steps of 0.1ns
.TRAN 0.1n 22n

* Measurement if average drain-source current of MPMOS1 in selected time 
.MEAS IDS_PMOS avg CDO(XInv1.MPMOS1) from=0n to=22n
 
* Delay - measuremant for rising and falling slopes
.MEASURE TRAN delay_falling trig v(In) VAL = 0.45 RISE = 1 TARG v(Out) VAL = 0.45 FALL = 1
.MEASURE TRAN delay_rising  trig v(In) VAL = 0.45 FALL = 1 TARG v(Out) VAL = 0.45 RISE = 1


*save following currents for analysis
.probe i(XInv1.MPMOS1) i(XInv1.NPMOS1) i(COut1)

* This is the library of the transistor data 
.LIB 'BPTM_65nm.lib' SP 
.END 
