* Inverter circuit
 
* ----- Include of needed files
.include 'inv.inc'

 
* ----- Parameter 
.param wpmos = 2u 
.param wnmos = 1u 

.param vsupply = 0.9
.param cload = 50f
 
* ----- Determine supply
* voltage: VDD 
* ground:  GND 
 
* name   node1  node2  Type Parameter 
VSource  VDD     GND    DC  vsupply 
 
 
* ----- Stimuli
 
* Parameter: 1. voltage level, 2. voltage level, delay, rising slope, falling slope,
*            pulse width, period
* 
* name   node1  node2   Type  Parameter 
VInput1  In     GND     DC    0   PULSE(0 vsupply 0 100P 100P 9.9N 20N)
 

* ----- Circuit 
* Inverter
* name  input  Output  vdd  ground  circuit  circuit's parameter   
XInv1   In     out    VDD  GND     Inverter wn=wnmos  wp=wpmos


* ----- Load  
* name node1   node2   value 
COut1  Out     GND     CLoad 
 
* ----- Options 
.OPTIONS list node post 

* ----- Definition of simulation  

* Simulation duration: 22ns in steps of 0.1ns
* Variation of varibale load CLoad Variable: from 10fF to 160fF in steps of 20fF 
.TRAN 0.1n 25n sweep CLoad 10f 110f 20f


* Measurement if average drain-source current of MPMOS1 in selected time 
.MEAS IDS_PMOS avg CDO(XInv1.MPMOS1) from=0n to=25n
 
* Delay - measuremant for rising and falling slopes
.MEASURE TRAN delay_falling trig v(In) VAL = 'vsupply/2' RISE = 1 TARG v(Out) VAL = 'vsupply/2' FALL = 1
.MEASURE TRAN delay_rising  trig v(In) VAL = 'vsupply/2' FALL = 1 TARG v(Out) VAL = 'vsupply/2' RISE = 1
.MEASURE VDD  avg v(VDD) from=0n to=0.1n

*save following currents for analysis
.probe i(XInv1.MPMOS1) i(XInv1.NPMOS1) i(COut1)

* This is the library of the transistor data 
.LIB 'BPTM_65nm.lib' SP 
.END 
